### File

`packages/eui/packages/components-next/src/lib/components/eui-textarea/eui-textarea.component.ts`

### Extends

`BaseDirective`

### Implements

`OnInit` `OnDestroy` `DoCheck` `OnChanges` `ControlValueAccessor`

### Metadata

encapsulation | `ViewEncapsulation.None`
providers | `{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => EuiTextareaComponent), multi: true }`
selector | `textarea[euiTextArea]`
styleUrls | `./styles/_index.scss`
template |
    <ng-content></ng-content>

### Index

###### Properties
Static idCounter
###### Methods
registerOnChange registerOnTouched setDisabledState writeValue
###### Inputs
e2eAttr id isInvalid readonly
###### HostBindings
class
###### HostListeners
blur input
###### Accessors
readonly

### Constructor

`constructor(injector: Injector, _elementRef: ElementRef, _renderer: Renderer2)`
Parameters :
Name | Type | Optional
injector | `Injector` | No
_elementRef | `ElementRef` | No
_renderer | `Renderer2` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-textarea'`

id
Default value : ``eui-textarea_${EuiTextareaComponent.idCounter++}``

isInvalid
Type : `boolean`

readonly

### HostBindings

class
Type : `any`

### HostListeners

blur
Arguments : `'$event.target.value'`
`blur(value)`

input
Arguments : `'$event.target.value'`
`input(value)`

### Methods

registerOnChange
`registerOnChange(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

registerOnTouched
`registerOnTouched(fn: any)`
Parameters :
Name | Type | Optional
fn | `any` | No
Returns : `void`

setDisabledState
`setDisabledState(isDisabled: boolean)`
Parameters :
Name | Type | Optional
isDisabled | `boolean` | No
Returns : `void`

writeValue
`writeValue(obj: any)`
Parameters :
Name | Type | Optional
obj | `any` | No
Returns : `void`

### Properties

Static idCounter
Type : `number`
Default value : `0`

### Accessors

readonly
set `readonly(state: any)`
Parameters :
Name | Type | Optional
state | `any` | No
Returns : `void`

# result-matching ""

# No results matching ""